<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Test of all ldas user commands</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">All user commands test </H1>

        <H2>Test Objectives</H2>
		<UL>
        <li>Verify that all ldas user commands complete successfully
        </li>
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
        <li>All APIs are involved in various ldas commands</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>Test scripts 
		<UL><p>
        <li><CODE><font color='blue'><a href 'http://ldas-sw.ligo.caltech.edu/doc/userAPI/html/cmonClient.html'>cmonClient</a></font></li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/cntlmonAPI/tcl/server/user_commands.tcl?rev=HEAD;content-type=text%2Fplain'>user_commands.tcl</a></font></li>
		</UL>
        </li><p>
        <li>Miscellaneous frame data must be mounted on ldas system and known to diskcacheAPI: e.g. mount points in diskcacheAPI cache
        <pre><font color='brown'>
        scratch/frames 
        /scratch/mirror/frames
        /ldas_outgoing/frames/RDSVerify /scratch/test/frames 
        /ldas_outgoing/test/test_uncompressed 
        </font></pre>
        
        </ul>
        <H2>Test Execution</H2>

		<p>From cmonClient, select <b>LDAS Test</b> -> <b>TEST ALL CMDS </b>
        You must be a control user to run the tests. Interim results can be displayed.<p>

		<H2>Test Validation:</H2>
        <ul>
        <li>Verify that all ldas commands completed successfully as reported on cmonClient display.</li>
        <p>There is a log file <b>/ldas_outgoing/cntlmonAPI/user_commands.log </b> while test is being run.
        The output of this text is displayed on cmonClient when interim results are specified.
        
        <p> Example: <pre>
        Total number of tests to run on dev is 51
Display interim results after every 1 tests


*** LDAS-DEV49090772 <font color='#568c3a'>ILwd2Lw  -----PASSED</font>

*** LDAS-DEV49090776 <font color='#568c3a'>Lw2ILwd  -----PASSED</font>

*** LDAS-DEV49090781 <font color='#568c3a'>cacheGetFilenames  -----PASSED</font>

*** LDAS-DEV49090784 <font color='#568c3a'>concatFrameData  -----PASSED</font>

*** LDAS-DEV49090802 <font color='#568c3a'>conditionData  -----PASSED</font>

*** LDAS-DEV49090833 <font color='#568c3a'>conditionData seed -----PASSED</font>

*** LDAS-DEV49090855 <font color='#568c3a'>createRDS createRDS_H_ConcatFrame_S3_1 -----PASSED</font>

*** LDAS-DEV49090949 <font color='#568c3a'>createRDS createRDS_L_ConcatFrame_S3_1 -----PASSED</font>

*** LDAS-DEV49091006 <font color='#568c3a'>createRDS createRDS_H_MultiConcatFrame_S3_1 -----PASSED</font>

*** LDAS-DEV49091093 <font color='#568c3a'>createRDS createRDS_L_MultiConcatFrame_S3_1 -----PASSED</font>

*** LDAS-DEV49091149 <font color='#568c3a'>createRDS createRDS_H_MultiFrame_S3_1 -----PASSED</font>

*** LDAS-DEV49091235 <font color='#568c3a'>createRDS createRDS_L_MultiFrame_S3_1 -----PASSED</font>

*** LDAS-DEV49091286 <font color='#568c3a'>createRDS createRDS_H_OneToOne_S3_1 -----PASSED</font>

*** LDAS-DEV49091377 <font color='#568c3a'>createRDS createRDS_L_OneToOne_S3_1 -----PASSED</font>

*** LDAS-DEV49091433 <font color='#568c3a'>createRDS createRDS_mit -----PASSED</font>

*** LDAS-DEV49091444 <font color='#568c3a'>dataPipeline burstwrapper -----PASSED</font>

*** LDAS-DEV49091488 <font color='#568c3a'>dataPipeline inspiral -----PASSED</font>

*** LDAS-DEV49091566 <font color='#568c3a'>dataPipeline knownpulsardemod -----PASSED</font>

*** LDAS-DEV49091602 <font color='#568c3a'>dataPipeline libio -----PASSED</font>

*** LDAS-DEV49091662 <font color='#568c3a'>dataPipeline sft -----PASSED</font>

*** LDAS-DEV49091685 <font color='#568c3a'>dataPipeline slope -----PASSED</font>

LJwait error: dataPipeline
    -subject { sftRequest }
    -returnprotocol http://testGetSFTs.xml

    -np 2
    -multidimdatatarget ligolw
    -datacondtarget wrapper
    -database ldas_tst

    -concatenate 0
    -autoexpand 1
    -allowgaps 1

    -dynlib libldasstackslide.so
    -filterparams (730522208,0,4096,1800,16,60,60,1282.0,3.0,180.0,1,60,1282.0,3.0,180.0,30,60,1282.5,2.0,120.0,"H2","LHO","hwinjectE10Pulsar0",0,"H2:LSC-AS_Q",input,0,0,0,32,0,0,0,0,0,0,0,0,0,1,1282.0,3.0,180.0,0,1,1,0,0,0,0,1.248816734,1.248816734,0,1,-0.981180225,-0.981180225,0,1,1,-4.15E-12,-4.15E-12,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)

    -framequery {
        { SFT_H2_60_P_1 Z {} {730522208-730524007} Proc(0!1282.0!3.0FREQ!) }
    }
    -responsefiles {
        file:/lal/share/lal/earth00-04.ilwd,pass
        file:/lal/share/lal/sun00-04.ilwd,pass
    }
    -aliases sft
    -algorithms {
        output(_chN,,,_chN,_chN data);
    }
Subject:
LDAS-DEV49091754 error!
mpi::newJobCallback: {Rank 1 failed with error message: ( conditionData function ):  Level 1: $Id: user_commands.html,v 1.2 2005/07/21 22:49:02 mlei Exp $ 	Status code 24: Some requested input BLK data is missing 	function LALConditionData, file ../../../../contrib/stackslide/src/StackSlide.c, line 916 }

ldas-dev running LDAS version 1.6.23
*** LDAS-DEV49091754 <font color='red'>dataPipeline stackslide-----FAILED</font>

*** LDAS-DEV49091790 <font color='#568c3a'>dataPipeline stochastic -----PASSED</font>

*** LDAS-DEV49091856 <font color='#568c3a'>dataPipeline tfclusters -----PASSED</font>

*** LDAS-DEV49091908 <font color='#568c3a'>dataPipeline waveburst -----PASSED</font>

*** LDAS-DEV49091950 <font color='#568c3a'>dataStandAlone inspiral -----PASSED</font>

*** LDAS-DEV49091989 <font color='#568c3a'>dataStandAlone knownpulsardemod -----PASSED</font>

*** LDAS-DEV49092004 <font color='#568c3a'>dataStandAlone slope -----PASSED</font>

*** LDAS-DEV49092046 <font color='#568c3a'>dataStandAlone stochastic -----PASSED</font>

*** LDAS-DEV49092085 <font color='#568c3a'>dataStandAlone tfclusters -----PASSED</font>

*** LDAS-DEV49092125 <font color='#568c3a'>descMetaData  -----PASSED</font>

*** LDAS-DEV49092139 <font color='#568c3a'>getFrameData  -----PASSED</font>

*** LDAS-DEV49092170 <font color='#568c3a'>getFrameElements  -----PASSED</font>

*** LDAS-DEV49092188 <font color='#568c3a'>getMetaData getmeta -----PASSED</font>

*** LDAS-DEV49092196 <font color='#568c3a'>putMetaData  -----PASSED</font>

*** LDAS-DEV49092202 <font color='#568c3a'>putStandAlone  -----PASSED</font>

*** LDAS-DEV49092223 <font color='#568c3a'>stageData  -----PASSED</font>

*** LDAS-DEV49092229 <font color='#568c3a'>getChannels  -----PASSED</font>

*** LDAS-DEV49092239 <font color='#568c3a'>cacheGetTimes  -----PASSED</font>

*** LDAS-DEV49092247 <font color='#568c3a'>activeJobSummary  -----PASSED</font>

*** LDAS-DEV49092256 <font color='#568c3a'>apiStatusSummary  -----PASSED</font>

*** LDAS-DEV49092261 <font color='#568c3a'>createRDS createRDS_H_ConcatFrame_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092300 <font color='#568c3a'>createRDS createRDS_L_ConcatFrame_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092336 <font color='#568c3a'>createRDS createRDS_H_MultiConcatFrame_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092367 <font color='#568c3a'>createRDS createRDS_L_MultiConcatFrame_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092394 <font color='#568c3a'>createRDS createRDS_H_MultiFrame_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092411 <font color='#568c3a'>createRDS createRDS_L_MultiFrame_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092438 <font color='#568c3a'>createRDS createRDS_H_OneToOne_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092469 <font color='#568c3a'>createRDS createRDS_L_OneToOne_S3_2.cmd -----PASSED</font>

*** LDAS-DEV49092505 <font color='#568c3a'>rmJobFiles  -----PASSED</font>

*** LDAS-DEV49092510<font color='#568c3a'> abortJob -----PASSED</font>
</font></pre>
    
    </BODY>
</HTML>

